{
  "schema": "dwd",
  "table": "dwd_member_balance_change_ex",
  "ods_source": "member_balance_changes",
  "columns": [
    {
      "name": "balance_change_id",
      "data_type": "bigint",
      "is_nullable": false,
      "column_default": null,
      "comment": "【说明】标识类 ID 字段，用于关联/定位相关实体。     【示例】2957881605869253（标识类 ID 字段，用于关联/定位相关实体）。     【ODS来源】member_balance_changes - id。     【JSON字段】member_balance_changes.json - data.tenantMemberCardLogs - id。",
      "ordinal_position": 1
    },
    {
      "name": "pay_site_name",
      "data_type": "character varying",
      "is_nullable": true,
      "column_default": null,
      "comment": "【说明】名称字段，用于展示与辅助识别。     【示例】朗朗桌球（名称字段，用于展示与辅助识别）。     【ODS来源】member_balance_changes - paySiteName。     【JSON字段】member_balance_changes.json - data.tenantMemberCardLogs - paySiteName。",
      "ordinal_position": 2
    },
    {
      "name": "register_site_name",
      "data_type": "character varying",
      "is_nullable": true,
      "column_default": null,
      "comment": "【说明】名称字段，用于展示与辅助识别。     【示例】朗朗桌球（名称字段，用于展示与辅助识别）。     【ODS来源】member_balance_changes - registerSiteName。     【JSON字段】member_balance_changes.json - data.tenantMemberCardLogs - registerSiteName。",
      "ordinal_position": 3
    },
    {
      "name": "refund_amount",
      "data_type": "numeric",
      "is_nullable": true,
      "column_default": null,
      "comment": "【说明】金额字段，用于计费/结算/核算等金额计算。     【示例】0.0（金额字段，用于计费/结算/核算等金额计算）。     【ODS来源】member_balance_changes - refund_amount。     【JSON字段】member_balance_changes.json - data.tenantMemberCardLogs - refund_amount。",
      "ordinal_position": 4
    },
    {
      "name": "operator_id",
      "data_type": "bigint",
      "is_nullable": true,
      "column_default": null,
      "comment": "【说明】标识类 ID 字段，用于关联/定位相关实体。     【示例】2790687322443013（标识类 ID 字段，用于关联/定位相关实体）。     【ODS来源】member_balance_changes - operator_id。     【JSON字段】member_balance_changes.json - data.tenantMemberCardLogs - operator_id。",
      "ordinal_position": 5
    },
    {
      "name": "operator_name",
      "data_type": "character varying",
      "is_nullable": true,
      "column_default": null,
      "comment": "【说明】名称字段，用于展示与辅助识别。     【示例】收银员:郑丽珊（名称字段，用于展示与辅助识别）。     【ODS来源】member_balance_changes - operator_name。     【JSON字段】member_balance_changes.json - data.tenantMemberCardLogs - operator_name。",
      "ordinal_position": 6
    },
    {
      "name": "principal_data",
      "data_type": "text",
      "is_nullable": true,
      "column_default": null,
      "comment": null,
      "ordinal_position": 7
    },
    {
      "name": "relate_id",
      "data_type": "bigint",
      "is_nullable": true,
      "column_default": null,
      "comment": "【说明】关联业务单据 ID，指向触发本次余额变动的业务记录（如充值单、订单、结算单等），按 from_type 不同指向不同表。     【示例】2957881518788421。     【ODS来源】member_balance_changes - relate_id。     【JSON字段】member_balance_changes.json - data.tenantMemberCardLogs - relate_id。",
      "ordinal_position": 8
    }
  ]
}